package earth.krakatao.protocol;

import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public class KraSocketClientProtocolMessage {

  private final byte status;
  private final int cmdID; // long
  private final int dest;
  private final String uuid;
  private final short cmdNumber;
  private final String args;

  public int getStatus() {
    return Byte.toUnsignedInt(status);
  }

  public int getCmdNumber() {
    return Short.toUnsignedInt(cmdNumber);
  }
}
